Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementremoveattributenodenomodificationallowederrEE Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementremoveattributenodenomodificationallowederrEE (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "removeAttributeNode(oldAttr)" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Create an entity reference and add it to the children of the THIRD "gender" element. Try to remove the "domestic" attribute from the entity reference by executing the "removeAttributeNode(oldAttr)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D589198 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-D589198')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D589198 , http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementremoveattributenodenomodificationallowederr.xml

Definition at line 49 of file elementremoveattributenodenomodificationallowederrEE.java.

## Constructor & Destructor Documentation

elementremoveattributenodenomodificationallowederrEE::elementremoveattributenodenomodificationallowederrEE | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file elementremoveattributenodenomodificationallowederrEE.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String elementremoveattributenodenomodificationallowederrEE::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 90 of file elementremoveattributenodenomodificationallowederrEE.java.
    00090                                 {
    00091       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementremoveattributenodenomodificationallowederrEE";
    00092    }

void elementremoveattributenodenomodificationallowederrEE::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 93 of file elementremoveattributenodenomodificationallowederrEE.java. References DOMTestCase::doMain().
    00093                                           {
    00094         DOMTestCase.doMain(elementremoveattributenodenomodificationallowederrEE.class,args);
    00095    }

void elementremoveattributenodenomodificationallowederrEE::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file elementremoveattributenodenomodificationallowederrEE.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       NodeList genderList;
    00060       Node gender;
    00061       NodeList genList;
    00062       EntityReference entRef;
    00063       Element entElement;
    00064       NamedNodeMap attrList;
    00065       Attr attrNode;
    00066       Attr removedAttr;
    00067       Node appendedChild;
    00068       doc = load("staff");
    00069       genderList = doc.getElementsByTagName("gender");
    00070       gender = genderList.item(2);
    00071       entRef = doc.createEntityReference("ent4");
    00072       appendedChild = gender.appendChild(entRef);
    00073       entElement = (Element)entRef.getFirstChild();
    00074       attrList = entElement.getAttributes();
    00075       attrNode = (Attr)attrList.getNamedItem("domestic");
    00076
    00077         {
    00078                 boolean success = false;
    00079                 try {
    00080                         removedAttr = entElement.removeAttributeNode(attrNode);
    00081
    00082                 }
    00083                 catch(DOMException ex) {
    00084                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00085                 }
    00086                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00087         }
    00088
    00089    }

The documentation for this class was generated from the following file:

- elementremoveattributenodenomodificationallowederrEE.java